path: /build/build/librsvg-gnome-base-2-2.48.8+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="introspection vala tools" emerge gnome-base/librsvg:2 -pv -t && \
    USE="introspection vala tools" emerge -j ${JOBS} --nodeps gnome-base/librsvg:2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/librsvg && luet-portage --dir /pkgdir/librsvg
    gnome-base/librsvg:2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:13813403db1a0d0d93cc1ec8190b236e59a71d877b688ecbe53ff2926d8a8fcb
  package:
    name: librsvg
    version: 2.48.8+3
    category: gnome-base-2
    use_flags:
    - introspection
    - vala
    - tools
    requires:
    - name: libcroco
      version: '>=0'
      category: dev-libs-0.6
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Scalable Vector Graphics (SVG) rendering library
    uri:
    - https://wiki.gnome.org/Projects/LibRsvg
    license: LGPL-2+
    buildtimestamp: 2023-09-09 17:25:17.467039749 +0000 UTC m=+354.935248609
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2 >=x11-libs/cairo-1.16.0 >=x11-libs/pango-1.44.7
        >=dev-libs/libxml2-2.9.1:2 >=dev-libs/libcroco-0.6.8 >=x11-libs/gdk-pixbuf-2.39.2:2[introspection?]
        >=virtual/rust-1.41 introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        ) dev-libs/gobject-introspection-common dev-libs/vala-common >=dev-util/gtk-doc-am-1.13
        virtual/rust vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
        dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
        dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) ) >=virtual/pkgconfig-0-r1
        >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
        >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
        app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: +introspection tools vala +memsaver
      RDEPEND: '>=dev-libs/glib-2.62.2:2 >=x11-libs/cairo-1.16.0 >=x11-libs/pango-1.44.7
        >=dev-libs/libxml2-2.9.1:2 >=dev-libs/libcroco-0.6.8 >=x11-libs/gdk-pixbuf-2.39.2:2[introspection?]
        >=virtual/rust-1.41 introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        )'
      emerge.packages: gnome-base/librsvg:2
      kit: gnome-kit
      original.package.name: gnome-base/librsvg
      original.package.slot: "2"
      original.package.version: 2.48.8
    treedir: /build/packages
  package_dir: /pkgdir/librsvg
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c513c2501e1f3d83e702fc866ea5bb41e2f28bef4b44df61a73820e616199b48
compressiontype: zstd
files:
- usr/bin/rsvg-convert
- usr/include/librsvg-2.0/librsvg/librsvg-features.h
- usr/include/librsvg-2.0/librsvg/rsvg-cairo.h
- usr/include/librsvg-2.0/librsvg/rsvg.h
- usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
- usr/lib64/girepository-1.0/Rsvg-2.0.typelib
- usr/lib64/librsvg-2.so
- usr/lib64/librsvg-2.so.2
- usr/lib64/librsvg-2.so.2.47.0
- usr/lib64/pkgconfig/librsvg-2.0.pc
- usr/share/doc/librsvg-2.48.8/AUTHORS.bz2
- usr/share/doc/librsvg-2.48.8/COMPILING.md.bz2
- usr/share/doc/librsvg-2.48.8/CONTRIBUTING.md.bz2
- usr/share/doc/librsvg-2.48.8/NEWS.bz2
- usr/share/doc/librsvg-2.48.8/README.md.bz2
- usr/share/doc/librsvg-2.48.8/code-of-conduct.md.bz2
- usr/share/gir-1.0/Rsvg-2.0.gir
- usr/share/gtk-doc/html/rsvg-2.0/RsvgHandle.html
- usr/share/gtk-doc/html/rsvg-2.0/annotation-glossary.html
- usr/share/gtk-doc/html/rsvg-2.0/api-index-full.html
- usr/share/gtk-doc/html/rsvg-2.0/ch01.html
- usr/share/gtk-doc/html/rsvg-2.0/ch02.html
- usr/share/gtk-doc/html/rsvg-2.0/home.png
- usr/share/gtk-doc/html/rsvg-2.0/index.html
- usr/share/gtk-doc/html/rsvg-2.0/left-insensitive.png
- usr/share/gtk-doc/html/rsvg-2.0/left.png
- usr/share/gtk-doc/html/rsvg-2.0/licence.html
- usr/share/gtk-doc/html/rsvg-2.0/object-tree.html
- usr/share/gtk-doc/html/rsvg-2.0/recommendations-assets.html
- usr/share/gtk-doc/html/rsvg-2.0/right-insensitive.png
- usr/share/gtk-doc/html/rsvg-2.0/right.png
- usr/share/gtk-doc/html/rsvg-2.0/rsvg-2.0.devhelp2
- usr/share/gtk-doc/html/rsvg-2.0/rsvg-Using-RSVG-with-GIO.html
- usr/share/gtk-doc/html/rsvg-2.0/rsvg-Using-RSVG-with-GdkPixbuf.html
- usr/share/gtk-doc/html/rsvg-2.0/rsvg-Using-RSVG-with-cairo.html
- usr/share/gtk-doc/html/rsvg-2.0/rsvg-Version-check-and-feature-tests.html
- usr/share/gtk-doc/html/rsvg-2.0/rsvg.html
- usr/share/gtk-doc/html/rsvg-2.0/style.css
- usr/share/gtk-doc/html/rsvg-2.0/up-insensitive.png
- usr/share/gtk-doc/html/rsvg-2.0/up.png
- usr/share/locale/es/LC_MESSAGES/librsvg.mo
- usr/share/man/man1/rsvg-convert.1.bz2
- usr/share/thumbnailers/librsvg.thumbnailer
- usr/share/vala/vapi/librsvg-2.0.vapi
- var/db/pkg/gnome-base/librsvg-2.48.8/BUILD_TIME
- var/db/pkg/gnome-base/librsvg-2.48.8/CATEGORY
- var/db/pkg/gnome-base/librsvg-2.48.8/CBUILD
- var/db/pkg/gnome-base/librsvg-2.48.8/CFLAGS
- var/db/pkg/gnome-base/librsvg-2.48.8/CHOST
- var/db/pkg/gnome-base/librsvg-2.48.8/CONTENTS
- var/db/pkg/gnome-base/librsvg-2.48.8/COUNTER
- var/db/pkg/gnome-base/librsvg-2.48.8/CXXFLAGS
- var/db/pkg/gnome-base/librsvg-2.48.8/DEFINED_PHASES
- var/db/pkg/gnome-base/librsvg-2.48.8/DEPEND
- var/db/pkg/gnome-base/librsvg-2.48.8/DESCRIPTION
- var/db/pkg/gnome-base/librsvg-2.48.8/EAPI
- var/db/pkg/gnome-base/librsvg-2.48.8/FEATURES
- var/db/pkg/gnome-base/librsvg-2.48.8/HOMEPAGE
- var/db/pkg/gnome-base/librsvg-2.48.8/INHERITED
- var/db/pkg/gnome-base/librsvg-2.48.8/IUSE
- var/db/pkg/gnome-base/librsvg-2.48.8/IUSE_EFFECTIVE
- var/db/pkg/gnome-base/librsvg-2.48.8/KEYWORDS
- var/db/pkg/gnome-base/librsvg-2.48.8/LDFLAGS
- var/db/pkg/gnome-base/librsvg-2.48.8/LICENSE
- var/db/pkg/gnome-base/librsvg-2.48.8/NEEDED
- var/db/pkg/gnome-base/librsvg-2.48.8/PF
- var/db/pkg/gnome-base/librsvg-2.48.8/PROVIDES
- var/db/pkg/gnome-base/librsvg-2.48.8/RDEPEND
- var/db/pkg/gnome-base/librsvg-2.48.8/REQUIRES
- var/db/pkg/gnome-base/librsvg-2.48.8/SIZE
- var/db/pkg/gnome-base/librsvg-2.48.8/SLOT
- var/db/pkg/gnome-base/librsvg-2.48.8/USE
- var/db/pkg/gnome-base/librsvg-2.48.8/environment.bz2
- var/db/pkg/gnome-base/librsvg-2.48.8/librsvg-2.48.8.ebuild
- var/db/pkg/gnome-base/librsvg-2.48.8/repository
package_cacheimage: ""
runtime:
  name: librsvg
  version: 2.48.8+3
  category: gnome-base-2
  use_flags:
  - introspection
  - vala
  - tools
  requires:
  - name: libcroco
    version: '>=0'
    category: dev-libs-0.6
  - name: rust
    version: '>=0'
    category: virtual
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: pango
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Scalable Vector Graphics (SVG) rendering library
  uri:
  - https://wiki.gnome.org/Projects/LibRsvg
  license: LGPL-2+
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2 >=x11-libs/cairo-1.16.0 >=x11-libs/pango-1.44.7
      >=dev-libs/libxml2-2.9.1:2 >=dev-libs/libcroco-0.6.8 >=x11-libs/gdk-pixbuf-2.39.2:2[introspection?]
      >=virtual/rust-1.41 introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      ) dev-libs/gobject-introspection-common dev-libs/vala-common >=dev-util/gtk-doc-am-1.13
      virtual/rust vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
      dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
      dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) ) >=virtual/pkgconfig-0-r1
      >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: +introspection tools vala +memsaver
    RDEPEND: '>=dev-libs/glib-2.62.2:2 >=x11-libs/cairo-1.16.0 >=x11-libs/pango-1.44.7
      >=dev-libs/libxml2-2.9.1:2 >=dev-libs/libcroco-0.6.8 >=x11-libs/gdk-pixbuf-2.39.2:2[introspection?]
      >=virtual/rust-1.41 introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      )'
    emerge.packages: gnome-base/librsvg:2
    kit: gnome-kit
    original.package.name: gnome-base/librsvg
    original.package.slot: "2"
    original.package.version: 2.48.8
